@use '../utils/variables' as var;
@use '../utils/mixins';

.film {
    @include mixins.wrapper;
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
}

.film__title {
    color: var.$textcolor;
    font-weight: var.$font-extra-bold;
    margin-bottom: 0px;

    &--small {
        font-size: 24px;
        margin-top: 5px
    }
}

.film__description {
    margin-top: 10px;
    color: var.$textcolor;
    font-size: 20px;
    text-align: justify;
}

.film__img {
    margin: 0 auto;
    display: block;
    max-width: 900px;
    width: 100%;
}

.film__list {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
}

.film__item {
    margin-left: 20px;
}

.film__link {
    text-decoration: underline;
    font-size: 20px;
    color: var.$textcolor;
}

.grade__card {
    border: 2px solid var.$textcolor;
    padding: 5px 10px 10px 15px;
    border-radius: 8px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.grade__title {
    color: var.$textcolor;
    margin-top: 5px;
    margin-bottom: 0;
}

.grade__desc {
    color: var.$textcolor;
}

.grade__link {
    &--red {
        background-color: var.$buttoncolor;
        color: var.$textcolor;
    }
}